; example1.nsi
;
; This script is perhaps one of the simplest NSIs you can make. All of the
; optional settings are left to their default settings. The installer simply 
; prompts the user asking them where to install, and drops a copy of makensisw.exe
; there. 
;

; The name of the installer
Name "Netcom"

; The file to write
OutFile "NetcomInst.exe"

; The default installation directory
InstallDir $PROGRAMFILES\Netcom

; The text to prompt the user to enter a directory
DirText "This will install Netcom on your computer. Choose a directory"

; The stuff to install
Section "ThisNameIsIgnoredSoWhyBother?"
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
  File H:\Tom\src\VC\netcom\Release\netcom.exe
  CreateDirectory "$SMPROGRAMS\Netcom"
  CreateShortCut "$SMPROGRAMS\Netcom\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\Netcom\Netcom.lnk" "$INSTDIR\netcom.exe" "" "$INSTDIR\netcom.exe" 0
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Netcom" "DisplayName" "Netcom (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Netcom" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteUninstaller "uninstall.exe"
SectionEnd ; end the section

; special uninstall section.
Section "Uninstall"
  ; remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Netcom"
  DeleteRegKey HKLM SOFTWARE\NSIS_Netcom
  ; remove files
  Delete $INSTDIR\netcom.exe
  ; MUST REMOVE UNINSTALLER, too
  Delete $INSTDIR\uninstall.exe
  ; remove shortcuts, if any.
  Delete "$SMPROGRAMS\Netcom\*.*"
  ; remove directories used.
  RMDir "$SMPROGRAMS\Netcom"
  RMDir "$INSTDIR"
SectionEnd
; eof
